package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 支付渠道
 * @author liweifan
 * @updateTime 2022/3/31 11:30
 */
public enum PayChannelEnum implements BaseEnum<String, PayChannelEnum> {
    alipay("alipay","支付宝APP支付"),
    wx_lite("wx_lite","微信APP支付")
    ;
    @EnumValue
    private String code;
    private String msg;

    PayChannelEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }
}
